import { Injector } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { noop } from '@s-libs/micro-dash';
/** @hidden */
export declare abstract class AbstractValueAccessorDirective<T extends HTMLElement> implements ControlValueAccessor {
    onChangeFn: (value: any) => void;
    onTouchedFn: typeof noop;
    private elementRef;
    constructor(injector: Injector);
    abstract writeValue(value: any): void;
    registerOnChange(fn: (value: any) => void): void;
    registerOnTouched(fn: () => void): void;
    protected get element(): T;
}
